package com.ccnode.codegenerator.view.b.a;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.ccnode.codegenerator.view.b.i;
import com.intellij.codeInsight.completion.CompletionContributor;
import com.intellij.codeInsight.completion.CompletionParameters;
import com.intellij.codeInsight.completion.CompletionResultSet;
import com.intellij.codeInsight.lookup.LookupElement;
import com.intellij.codeInsight.lookup.LookupElementBuilder;
import com.intellij.database.model.DasColumn;
import com.intellij.database.model.DasDataSource;
import com.intellij.database.model.DasObject;
import com.intellij.database.model.DasTable;
import com.intellij.database.psi.DbDataSource;
import com.intellij.database.psi.DbPsiFacade;
import com.intellij.database.util.DasUtil;
import com.intellij.lang.injection.InjectedLanguageManager;
import com.intellij.openapi.editor.Editor;
import com.intellij.openapi.editor.EditorFactory;
import com.intellij.openapi.editor.impl.EditorImpl;
import com.intellij.openapi.project.Project;
import com.intellij.psi.PsiElement;
import com.intellij.psi.PsiFile;
import com.intellij.psi.PsiLanguageInjectionHost;
import com.intellij.psi.util.PsiTreeUtil;
import com.intellij.psi.xml.XmlTag;
import com.intellij.sql.psi.SqlFile;
import com.intellij.util.containers.JBIterable;
import icons.DatabaseIcons;
import java.util.List;
import kotlin.Metadata;
import kotlin.jvm.internal.Intrinsics;
import org.jetbrains.annotations.NotNull;

@Metadata(mv = {1, 9, 0}, k = 1, xi = 48, d1 = {"\000&\n\002\030\002\n\002\030\002\n\002\b\002\n\002\020\002\n\000\n\002\030\002\n\000\n\002\030\002\n\000\n\002\020\016\n\002\b\002\030\0002\0020\001B\005¢\006\002\020\002J\030\020\003\032\0020\0042\006\020\005\032\0020\0062\006\020\007\032\0020\bH\026J\022\020\t\032\0020\n2\b\020\013\032\004\030\0010\nH\002¨\006\f"}, d2 = {"Lcom/ccnode/codegenerator/view/completion/IUDatabase/SqlFieldCompletionContributor;", "Lcom/intellij/codeInsight/completion/CompletionContributor;", "()V", "fillCompletionVariants", "", "parameters", "Lcom/intellij/codeInsight/completion/CompletionParameters;", "result", "Lcom/intellij/codeInsight/completion/CompletionResultSet;", "parseTableNameFromContent", "", "hostTagContent", "MyBatisCodeHelper-Pro241"})
public final class h extends CompletionContributor {
  public void fillCompletionVariants(@NotNull CompletionParameters paramCompletionParameters, @NotNull CompletionResultSet paramCompletionResultSet) {
    Intrinsics.checkNotNullParameter(paramCompletionParameters, "");
    Intrinsics.checkNotNullParameter(paramCompletionResultSet, "");
    Intrinsics.checkNotNullExpressionValue(paramCompletionParameters.getOriginalFile().getProject(), "");
    Project project = paramCompletionParameters.getOriginalFile().getProject();
    Intrinsics.checkNotNullExpressionValue(paramCompletionParameters.getPosition(), "");
    PsiElement psiElement1 = paramCompletionParameters.getPosition();
    PsiFile psiFile = InjectedLanguageManager.getInstance(project).getTopLevelFile(psiElement1);
    Class[] arrayOfClass = new Class[1];
    arrayOfClass[0] = XmlTag.class;
    XmlTag xmlTag1 = (XmlTag)PsiTreeUtil.getContextOfType(psiElement1, arrayOfClass);
    PsiLanguageInjectionHost psiLanguageInjectionHost = InjectedLanguageManager.getInstance(project).getInjectionHost(paramCompletionParameters.getPosition());
    if (psiLanguageInjectionHost == null)
      return; 
    Intrinsics.checkNotNullExpressionValue(EditorFactory.getInstance().getAllEditors(), "");
    Editor[] arrayOfEditor = EditorFactory.getInstance().getAllEditors();
    Editor editor = null;
    byte b;
    int i;
    for (b = 0, i = arrayOfEditor.length; b < i; ) {
      Editor editor1 = arrayOfEditor[b];
      if (editor1 instanceof EditorImpl && (
        (EditorImpl)editor1).getVirtualFile().getPath().equals(psiFile.getOriginalFile().getVirtualFile().getPath()))
        editor = editor1; 
      b++;
    } 
    if (editor == null) {
      System.out.println("editor is null");
      return;
    } 
    PsiElement psiElement2 = psiFile.findElementAt(editor.getCaretModel().getOffset());
    if (psiElement2 == null)
      return; 
    XmlTag xmlTag2 = (XmlTag)PsiTreeUtil.getParentOfType(psiElement2, XmlTag.class);
    if (xmlTag2 == null)
      return; 
    Intrinsics.checkNotNull(paramCompletionParameters.getOriginalFile());
    SqlFile sqlFile = (SqlFile)paramCompletionParameters.getOriginalFile();
    Intrinsics.checkNotNull(xmlTag1);
    String str1 = xmlTag1.getText();
    String str2 = a(str1);
    if (str2 == null)
      return; 
    Intrinsics.checkNotNullExpressionValue(DbPsiFacade.getInstance(project).getDataSources(), "");
    List list = DbPsiFacade.getInstance(project).getDataSources();
    if (list.size() == 0)
      return; 
    for (DbDataSource dbDataSource : list) {
      JBIterable jBIterable = DasUtil.getTables((DasDataSource)dbDataSource);
      for (DasTable dasTable : jBIterable) {
        if (dasTable.getName().equals(str2)) {
          JBIterable jBIterable1 = DasUtil.getColumns((DasObject)dasTable);
          for (DasColumn dasColumn : jBIterable1)
            paramCompletionResultSet.addElement((LookupElement)LookupElementBuilder.create(new i(dasColumn.getName())).withIcon(DatabaseIcons.Col)); 
        } 
      } 
    } 
  }
  
  private final String a(String paramString) {
    return "comment_p_o";
  }
}
